<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>3.1.4</version>
		<relativePath/>
		<!-- lookup parent from repository -->
	</parent>
	<groupId>com.hcm</groupId>
	<artifactId>gestiondestock</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>Gestion de stock</name>
	<description>API - REST du projet Gestion de stock Spring</description>
	<properties>
		<java.version>17</java.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-jpa</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.postgresql</groupId>
			<artifactId>postgresql</artifactId>
		</dependency>

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>

<!--		<dependency>-->
<!--			<groupId>org.springframework.boot</groupId>-->
<!--			<artifactId>spring-boot-starter-security</artifactId>-->
<!--		</dependency>-->

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-validation</artifactId>
			<version>3.2.1</version>
		</dependency>

		<dependency>
			<groupId>org.xmlunit</groupId>
			<artifactId>xmlunit-core</artifactId>
			<version>2.9.0</version>
		</dependency>

		<dependency>
			<groupId>com.flickr4java</groupId>
			<artifactId>flickr4java</artifactId>
			<version>3.0.8</version>
		</dependency>

		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<version>4.0.1</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.springdoc</groupId>
			<artifactId>springdoc-openapi-starter-webmvc-ui</artifactId>
			<version>2.2.0</version>
		</dependency>

	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<excludes>
						<exclude>
							<groupId>org.projectlombok</groupId>
							<artifactId>lombok</artifactId>
						</exclude>
					</excludes>
				</configuration>
			</plugin>
<!--			<plugin>-->
<!--				<groupId>com.github.kongchen</groupId>-->
<!--				<artifactId>swagger-maven-plugin</artifactId>-->
<!--				<version>3.1.8</version>-->
<!--				<configuration>-->
<!--					<apiSources>-->
<!--						<apiSource>-->
<!--							<springmvc>true</springmvc>-->
<!--							<locations>-->
<!--								<location>com.hcm.gestiondestock.controller.api</location>-->
<!--							</locations>-->
<!--							<basePath>http://localhost:8081</basePath>-->
<!--							<info>-->
<!--								<title>Swagger Api Documentation for Gestion de stock application</title>-->
<!--								<version>${project.version}</version>-->
<!--								<description>Swagger Api documentation for Gestion de stock application</description>-->
<!--								<contact>-->
<!--									<email>bouali.social@gmail.com</email>-->
<!--									<name>Ali Bouali</name>-->
<!--									<url>https://www.udemy.com/user/bouali-ali/</url>-->
<!--								</contact>-->
<!--							</info>-->
<!--							<outputPath>${project.build.directory}</outputPath>-->
<!--							<outputFormats>json</outputFormats>-->
<!--							<swaggerApiReader>com.github.kongchen.swagger.docgen.reader.SpringMvcApiReader</swaggerApiReader>-->
<!--							<swaggerDirectory>${project.build.directory}</swaggerDirectory>-->
<!--						</apiSource>-->
<!--					</apiSources>-->
<!--				</configuration>-->
<!--				<executions>-->
<!--					<execution>-->
<!--						<phase>install</phase>-->
<!--						<goals>-->
<!--							<goal>generate</goal>-->
<!--						</goals>-->
<!--					</execution>-->
<!--				</executions>-->
<!--			</plugin>-->


<!--			<plugin>-->
<!--				<groupId>org.openapitools</groupId>-->
<!--				<artifactId>openapi-generator-maven-plugin</artifactId>-->
<!--				&lt;!&ndash; RELEASE_VERSION &ndash;&gt;-->
<!--				<version>7.2.0</version>-->
<!--				&lt;!&ndash; /RELEASE_VERSION &ndash;&gt;-->
<!--				<executions>-->
<!--					<execution>-->
<!--						<goals>-->
<!--							<goal>generate</goal>-->
<!--						</goals>-->
<!--						<configuration>-->
<!--							<inputSpec>${project.basedir}/src/main/resources/application.yml</inputSpec>-->
<!--							<generatorName>java</generatorName>-->
<!--							<skipValidateSpec>true</skipValidateSpec>-->
<!--							<configOptions>-->
<!--								<sourceFolder>src/gen/java/main</sourceFolder>-->
<!--							</configOptions>-->
<!--						</configuration>-->
<!--					</execution>-->
<!--				</executions>-->
<!--			</plugin>-->
		</plugins>
	</build>
</project>
